BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository:

## Public Member Functions
| UserTimeStampRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor, OrganizationCommonRepository organizationCommonRepository, UserProfileRepository userProfileRepository, IConfiguration configuration, EmailSenderService emailSenderService)
async Task< int > | CountRecordAsync ()
async Task< UserTimeStamp?> | GetTimestampByDateAsync (Guid keycloakId, DateTime date)
async Task< UserTimeStamp?> | GetLastRecord (Guid keycloakId)
async Task< List< UserTimeStamp > > | GetTimeStampHistoryAsync (Guid keycloakId, int year)
async Task< List< UserTimeStamp > > | GetTimeStampHistoryForAdminAsync (DateTime startDate, DateTime endDate)
async Task< UserTimeStamp?> | GetTimeStampById (Guid id)
Public Member Functions inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, UserTimeStamp >
| GenericLeaveRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
Guid | UserOrganizationId`[get]`
Properties inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, UserTimeStamp >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ UserTimeStampRepository()

BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.UserTimeStampRepository | ( | ILeaveDbContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | UserProfileRepository | userProfileRepository,
|  | IConfiguration | configuration,
|  | EmailSenderService | emailSenderService
| ) |  |
| inline

## Member Function Documentation

## ◆ CountRecordAsync()

async Task< int > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.CountRecordAsync | ( |  | ) |
| inline

## ◆ GetLastRecord()

async Task< UserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.GetLastRecord | ( | Guid | keycloakId | ) |
| inline

## ◆ GetTimestampByDateAsync()

async Task< UserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.GetTimestampByDateAsync | ( | Guid | keycloakId,
|  | DateTime | date
| ) |  |
| inline

## ◆ GetTimeStampById()

async Task< UserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.GetTimeStampById | ( | Guid | id | ) |
| inline

## ◆ GetTimeStampHistoryAsync()

async Task< List< UserTimeStamp > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.GetTimeStampHistoryAsync | ( | Guid | keycloakId,
|  | int | year
| ) |  |
| inline

## ◆ GetTimeStampHistoryForAdminAsync()

async Task< List< UserTimeStamp > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.GetTimeStampHistoryForAdminAsync | ( | DateTime | startDate,
|  | DateTime | endDate
| ) |  |
| inline

## Property Documentation

## ◆ UserOrganizationId

Guid BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserTimeStampRepository.UserOrganizationId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Leaves/TimeAttendants/UserTimeStampRepository.cs